using UnityEngine;
using System.Collections;

public class DogFood : Item {

	void Start () {
		gc = GameController.instance;
		room = FindObjectOfType<Room>();
		if(GameController.hasDogFood){
			Destroy (collider2D);
		}
	}

	void Action(){
		GameController.hasDogFood = true;
		GameObject.Find ("Dog").SendMessage("Enter");
		room.player.SendMessage ("UnsetInteractiveItem");
		room.SendMessage("HideObjText");
		Destroy (collider2D);

	}
}
